
QGIS Application - Bug report #14160

broken drag & drop layer from one project to another

2016-01-22 05:32 AM - karpi lastname

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.12.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 22162

Description

Hello,

When I drag layer from opened project1 to project2 (onto index layers pane),

then layer is removed from project1, but something strange happens in project2:

The name of new layer appears in the index,

but nothing in the map area.

Also after save and reopening project again, the layer disappears even from layer pane.

I think right behaviour would be:

Drag and drop layer from one layer pane to other layer pane would simply move layer.

Also with some key modificator (ctrl) would be copied.

ctrl-x, ctrl-c, ctrl-v should do the same.

This form of quick threading of completly defined layers (ie. with their data stores, filters, srs, symbology..) is crucible to managing with -

for example background layers, used multiply in different projects. (instead of make completly new inserts and definitions again at again..)

History

#1 - 2016-01-26 11:54 PM - Alexander Bruy

- Target version set to Future Release - High Priority

- Assignee set to Martin Dobias

- Priority changed from Normal to High

Raising priority as this looks like regression.

#2 - 2016-01-28 04:00 AM - Martin Dobias

- Priority changed from High to Normal

- Assignee deleted (Martin Dobias)

I do not think this is a regression - I am not aware something like this ever worked in QGIS.

The thing is that currently drag'n'drop only carries information about the tree layout that is being dragged. In order to support dragging between different

QGIS instances, we would also need to package map layer definitions to be able to parse them on the other end and create them.

#3 - 2017-05-01 01:06 AM - Giovanni Manghi

- Easy fix? set to No
- Regression? set to No

#4 - 2017-09-22 10:05 AM - Jürgen Fischer

- Category set to Unknown

#5 - 2019-03-09 03:08 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
